octofussd - Segnalazione #293

crash rimozione gruppo docenti
06/08/2017 11:44 AM - Paolo Baratta

Status: Chiuso Start date: 06/08/2017
Priority: Alta Due date:

Assignee: Paolo Baratta % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Ho creato un utente. In fase di creazione I'ho associao al gruppo Administrator. Successivamente ho creato un gruppo "docenti" ed
ho associato I'utente a quest'ultimo. Ho poi associato I'utente al gruppo Replicators e I'ho dissociato dal gruppo Administrators. Ora &
associato ai gruppo Replicators e docebti.

Se tento di rimuovere il gruppo docenti tra quelli della lista di cui fa parte I'utente, dopo aver premuto "Salva", Octonet crasha. In
modalita debug compare quanto segue:

Exception at /users/user/paolo/edit
no changes in modify request

Request Method: POST

Request URL:  http://octofuss.einaudi.blz/users/user/paolo/edit
Django Version: 1.8.16

Exception Type:  Exception

Exception Value:

no changes in modify request

Exception Location:  /ust/lib/python3/dist-packages/octofuss/xmirpc.py in _wrap_call, line 78
Python Executable:  /usr/bin/python3

Python Version: 3.4.2

Python Path:

[usr/share/octonet’,

'/usr/bin’,
"/usr/share/octonet//usr/share/octonet™,
'/ust/lib/python3.4',
'fusr/lib/python3.4/plat-x86_64-linux-gnu’,
'fusr/lib/python3.4/lib-dynload’,
'usr/local/lib/python3.4/dist-packages’,
'Jusr/lib/python3/dist-packages']

Server time:  Thu, 8 Jun 2017 09:31:08 +0000

Related issues:
Is duplicate of octofussd - Segnalazione #290: Eccezione durante I'aggiunta d... Risolto 06/07/2017

Associated revisions

Revision 5¢c6f6¢c09 - 06/14/2017 02:50 PM - Christopher R. Gabriel
refs #293

Revision aae0e7b6 - 06/14/2017 02:52 PM - Christopher R. Gabriel
refs #293

Revision dc582450 - 06/14/2017 03:38 PM - Christopher R. Gabriel
refs #293

Revision ba81acbf - 06/14/2017 03:39 PM - Christopher R. Gabriel
http://octofuss.einaudi.blz/users/user/paolo/edit

refs #293

History

#1 - 06/08/2017 12:03 PM - Paolo Baratta

- Priority changed from Alta to Normale

#2 - 06/08/2017 12:04 PM - Paolo Baratta

- Priority changed from Normale to Alta

#3 - 06/08/2017 02:40 PM - Christopher R. Gabriel

- Is duplicate of Segnalazione #290: Eccezione durante I'aggiunta di un gruppo ad un utente added

#4 - 06/09/2017 12:30 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Mark Caglienzi

#5 - 06/09/2017 01:58 PM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione

#6 - 06/09/2017 05:03 PM - Mark Caglienzi

Riprodotto (anche se non costantemente) il bug, quando octofussd & interfacciato con Idap (quell'eccezione € un errore della libreria Idap).

Riprodotto con octofussctl. Per ora non sono riuscito a capire come risolvere il problema.

#7 - 06/14/2017 02:40 PM - Christopher R. Gabriel

- Project changed from octonet to octofussd

Il problema e' in octofussd.

#8 - 06/14/2017 04:00 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Paolo Baratta

Con la nuova versione del pacchetto octofussd (la 8.0.30-1) questo problema non si presenta piu.

Confermate?

#9 - 06/22/2017 10:51 AM - Paolo Baratta

- Assignee changed from Paolo Baratta to Mark Caglienzi

Ho riprodotto tutti i passaggi contenuti nella segnalazione:

Ho creato un utente. In fase di creazione I'ho associao al gruppo Administrator. Successivamente ho creato un gruppo "docenti" ed ho associato
l'utente a quest'ultimo. Ho poi associato I'utente al gruppo Replicators e I'ho dissociato dal gruppo Administrators. Ora é associato ai gruppo
Replicators e docebti.

Se tento di rimuovere il gruppo docenti tra quelli della lista di cui fa parte l'utente

Dopo aver salvato, il crash NON si verifica piu. Non posso pero fare altri test con l'utente, perché nel frattempo si & presentato un problema con
fuss-client e il client non comunica col server.

Chiudo la segnalazione???
#10 - 06/22/2017 10:55 AM - Christopher R. Gabriel
- Status changed from Commenti to Chiuso

- Assignee changed from Mark Caglienzi to Paolo Baratta

Chiudo la segnalazione, il problema oggetto del ticket e' risolto come da commento precedente.
